<?php

namespace Drupal\tg_integration\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FormatterBase;
use Drupal\Core\Field\FieldItemListInterface;

/**
 * Plugin implementation of the 'tg_comments' formatter.
 *
 * @FieldFormatter(
 *   id = "tg_comments",
 *   label = @Translation("TgComments Formatter"),
 *   field_types = {
 *     "tg_comments"
 *   }
 * )
 */
class TgCommentsFormatter extends FormatterBase {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    $elements = [];

    foreach ($items as $delta => $item) {
      if ($item->value) {
        $elements[$delta] = [
          '#type' => 'inline_template',
          '#template' => '<script async src="https://telegram.org/js/telegram-widget.js?19" data-telegram-discussion="{{ tg_post_link }}" data-comments-limit="5"></script>',
          '#context' => ['tg_post_link' => $item->value],
        ];
      }
    }

    return $elements;
  }

}
