<?php

namespace Drupal\tg_integration\Plugin\Field\FieldType;

use Drupal\Core\Field\FieldItemBase;
use Drupal\Core\Field\FieldStorageDefinitionInterface;
use Drupal\Core\TypedData\DataDefinition;

/**
 * Custom field type for the Telegram comments block.
 *
 * @FieldType(
 *   id = "tg_comments",
 *   label = @Translation("Telegram comments"),
 *   description = @Translation("A block with Telegram comments to the current node."),
 *   default_widget = "tg_comments",
 *   default_formatter = "tg_comments",
 * )
 */
class TgCommentsItem extends FieldItemBase {

  /**
   * {@inheritdoc}
   */
  public static function schema(FieldStorageDefinitionInterface $field_definition) {
    return [];
  }

  /**
   * {@inheritdoc}
   */
  public static function propertyDefinitions(FieldStorageDefinitionInterface $field_definition) {
    $properties['value'] = DataDefinition::create('string')
      ->setLabel(t('Tg comments code'));
    return $properties;
  }

}
