<?php

namespace Drupal\tg_integration\Plugin\Field;

use Drupal\Core\Field\FieldItemList;
use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\TypedData\ComputedItemListTrait;

/**
 * A computed entity reference field item list.
 */
class TgComments extends FieldItemList implements FieldItemListInterface {

  use ComputedItemListTrait;

  /**
   * Returns the path to the post in Telegram as the field item.
   */
  protected function computeValue() {
    $entity = $this->getEntity();
    if ($entity->id()) {
      $storage = \Drupal::service('tg_integration.storage');
      $tg_post_path = $storage->getTgPostPath($entity->getEntityTypeId(),
        $entity->id());
      $commentsStatus = $storage->getCommentsStatus($entity->getEntityTypeId(),
        $entity->id());
      if ($commentsStatus) {
        $this->list[0] = $this->createItem(0, $tg_post_path);
      }
    }
  }

}
